%define srcname	ConfigArgParse
%define module	configargparse

Name:		python-%{module}
Version:	0.11.0
Release:	%mkrel 1
Summary:	A Python module with support for argparse, config files, and env variables
Group:		Development/Python
License:	MIT
URL:		https://github.com/bw2/ConfigArgParse
Source0:	https://pypi.io/packages/source/C/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
Applications with more than a handful of user-settable options are best
configured through a combination of command line args, config files, hard
coded defaults, and in some cases, environment variables.

Python’s command line parsing modules such as argparse have very limited
support for config files and environment variables, so this module extends
argparse to add these features.

%package -n	python3-%{module}
Summary:	A Python 3 module with support for argparse, config files, and env variables
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
Applications with more than a handful of user-settable options are best
configured through a combination of command line args, config files, hard
coded defaults, and in some cases, environment variables.

Python’s command line parsing modules such as argparse have very limited
support for config files and environment variables, so this module extends
argparse to add these features.

%prep
%autosetup -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/configargparse.py*
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst
%license LICENSE
%{python3_sitelib}/configargparse.py*
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/__pycache__/configargparse*


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 0.11.0-1.mga6
+ Revision: 1079832
- new version: 0.11.0

* Sun Apr 10 2016 daviddavid <daviddavid> 0.10.0-1.mga6
+ Revision: 1000077
- imported package python-configargparse

